@import "../../../../styles/global/_var.scss";

.runs-filter-modal {
    &__control {
        &-wrapper {
            margin: 0 0 24px;
            transition: background .15s linear;
            display: flex;
            align-items: center;
            position: relative;
            border-radius: 4px;
            &._active {
                background-color: $white;
                .md-icon-button {
                    color: $black;
                }
            }
            .md-icon-button {
                position: absolute;
                top: 4px;
                left: 8px;
                width: 24px;
                height: 24px;
                padding: 0;
                min-height: 24px;
                font-size: 14px;
                line-height: 1;
                margin: 0 8px 0 0;
                z-index: 2;
                transition: transform .15s ease, color .15s ease;
                color: $gray57c;
                &:hover {
                    transform: scale(1.2);
                    color: $black;
                }
                &._default-md-style {
                    max-width: 24px;
                    max-height: 24px;
                }
                md-icon {
                    color: currentColor;
                }
            }
            &:hover {
                .md-icon-button {
                    color: $black;
                }
                .runs-filter__control-item {
                    md-select {
                        &:not([disabled]) {
                            .md-select-value {
                                &,
                                &.md-select-placeholder,
                                & .default-option-placeholder {
                                    background-color: $table-bg-hover;
                                    border-color: transparent;
                                    color: $black;
                                }
                            }
                            &:focus {
                                .md-select-value {
                                    &,
                                    &.md-select-placeholder,
                                    & .default-option-placeholder {
                                        color: $black;
                                        padding-bottom: 4px;
                                    }
                                }
                            }
                        }
                    }
                    &._button,
                    &._date {
                        background-color: $table-bg-hover;
                        color: $black;
                    }
                }
            }
        }
        &-item {
            padding: 0;
            &.without-animation.md-input-focused:not([md-no-float]) .md-select-placeholder {
                & span:first-child,
                &.md-select-value span:first-child {
                    transform: none;
                    color: $black;
                }
            }
            &:not(.chips-input-container) {
                width: 100%;
                margin: 0;
                max-width: 100%;
            }
            md-select {
                .md-select-value {
                    &,
                    &.md-select-placeholder {
                        transition: border-color .15s ease, background-color .15s ease, color .15s ease;
                        background-color: $white;
                        border-color: $white;
                    }
                }
                &._with-close-btn {
                    .md-select-value {
                        &,
                        &.md-select-placeholder {
                            padding-left: 40px;
                        }
                    }
                }
                &:active {
                    &:not([disabled]) {
                        .md-select-value {
                            &,
                            &.md-select-placeholder,
                            & .default-option-placeholder {
                                color: $blue-dark;
                            }
                        }
                    }
                }
                &:not([disabled]) {
                    .md-select-value {
                        &,
                        &.md-select-placeholder,
                        & .default-option-placeholder {
                            border-color: transparent;
                            color: $gray57c;
                        }
                    }
                    &:focus,
                    &:focus:hover {
                        .md-select-value {
                            &,
                            &.md-select-placeholder,
                            & .default-option-placeholder {
                                color: $black;
                                padding-bottom: 4px;
                            }
                        }
                    }
                }
            }
            &md-input-container:not(.chips-input-container) {
                .md-input {
                    height: 32px;
                }
            }
            &._button,
            &._date {
                display: flex;
                align-items: center;
                position: relative;
                transition: background-color .15s ease, color .15s ease;
                border-radius: 4px;
                color: $gray57c;
                background-color: $white;
                &._active {
                    color: $black;
                    background-color: $white;
                }
                .md-button {
                    background-color: transparent !important;
                    color: currentColor !important;
                    text-transform: none;
                    font-weight: normal;
                    padding: 0 8px 0 40px !important;
                    width: 100%;
                    max-width: 100%;
                    border-radius: 4px;
                    text-align: left;
                    font-size: 14px;
                }
            }
        }

        &-select {
            &-clear {
                cursor: pointer;
                position: relative;
                width: auto;
                transition: background .15s linear;
                padding: 12px 16px;
                height: 48px;
                font-size: 14px;
                line-height: 24px;
                color: $brand-light;
                box-shadow: inset 0 1px 0 $gray3e5;
                &:hover {
                    background-color: rgba(158,158,158,0.18);
                }
            }
        }
    }
    &__more {
        &-menu {
            &-item {
                &._separated {
                    box-shadow: inset 0 1px 0 $gray3e5;
                }
            }
            &-checkbox {
                padding: 15px 16px 15px 48px;
                width: 100%;
                height: 48px;
                &:hover {
                    background-color: rgba(158,158,158,0.18);
                }
                .md-container {
                    left: 19px;
                }
                .md-label {
                    margin-left: 0;
                    line-height: 1;
                }
            }
            &-close {
                &:hover {
                    background-color: rgba(158,158,158,0.18);
                }
            }
        }
        &-button {
            text-transform: none;
            &:not([disabled]),
            &.md-focused:not(.md-icon-button):not([disabled]) {
                background-color: $white;
                &:hover {
                    background-color: $table-bg-hover;
                }
            }
            .material-icons {
                color: currentColor;
            }
            &._small,
            &.md-focused:not(.md-icon-button)._small {
                font-size: 14px;
                line-height: 24px;
            }
        }
    }
}
